Subject: Internet Explorer 11 is not recognized by rte htmlarea
Description

In IE11 the rte shows the plain text editor without toolbar etc. By turning on compatibility mode the rte shows up correctly.
Please add compatiblity for Internet Explorer 11.

Related issues:
duplicates Core - Bug # 54124: Extend useragent-checks to include IE11 Resolved 2013-12-01

History

#1 - 2013-10-30 14:51 - Stefan Neufeind

Check for supported browser is in typo3/sysext/rtehtmlarea/htmlarea/htmlarea.js. Check for islE comes from ExtJS.

Would it be possible for you to check if an upgrade of ExtJS might help you? Patch against current master is at: https://review.typo3.0rg/24883

But the release-notes also only point to "support for IE10". But let's see ...

Can you maybe use a JS-debugger and see inside htmlarea.js what value the variables like islE etc. have?

#2 - 2013-10-30 14:52 - Stefan Neufeind

- Status changed from New to Needs Feedback

#3 - 2013-11-08 16:53 - Steven Cardoso

Thank you for your help. | will take a look at it and report back here.

#4 - 2013-11-20 11:58 - Sven W

This phenomenon also occurs in Typo3 4.7 and 6.2

#5 - 2013-11-27 09:23 - Martin Koppelaar

Could this have anything to do with the changed useragent string of IE 11 ?

See: http://en.wikipedia.org/wiki/Internet Explorer 11

It is now in the format of:
Mozilla/5.0 (Windows NT 6.1; WOWG64; Trident/7.0; rv:11.0) like Gecko
rv:11.0 instead of MSIE

#6 - 2013-12-03 06:27 - Dirk Klimpel

The same as #54122

#7 - 2013-12-03 12:52 - Martin Koppelaar

Actually, that one was dupe.

See:
http://forge.typo3.org/issues/54124

http://forge.typo3.org/issues/53818

This can be closed for as far as | can see.

#8 - 2013-12-03 12:57 - Stefan Neufeind

- Status changed from Needs Feedback to Resolved

#9 - 2015-02-12 20:15 - Guillaume Crico

This is not really a dupe of #54122 or #53818.

This is related to the changed useragent string of IE 11 and ExtJS browser sniffing!

In the backend, there is a <meta http-equiv="X-UA-Compatible" content="IE=10" /> (typo3 6.2) or <meta http-equiv="X-UA-Compatible"

content="IE=9" /> (typo3 4.7) , so the IE11 useragent string does not contain "like gecko" and is sniffed as "isGecko=false".

So the RTE works in the Typo3 backend.

But if you want to use the RTE in the frontend, and also want to stay in "IE=edge", the htmlarea fails to initialize because it is sniffed as
"isGecko=true".

A short fix , in (typo3 4.7 and 6.2) file: typo3/sysext/rtehtmlarea/htmlarea/htmlarea.js:
--- src: Ext.isGecko ? ‘'javascript:void(0);' : (Ext.isWebKit ? 'javascript: \" + HTMLArea.htmlEncode(this.config.documentType +
this.config.blankDocument) + \" : HTMLArea.editorUrl + 'popups/blank.html')
+++ // IE11 sometime pretends to be "like gecko". That's ok for Ext DOM related work, but not for the security model

+++ src: (Ext.isGecko && typeof document.baseURI == 'undefined') ? 'javascript:void(0);' : (Ext.isWebKit ? 'javascript: \" +
HTMLArea.htmlEncode(this.config.documentType + this.config.blankDocument) + '\" : HTMLArea.editorUrl + 'popups/blank.html’)

I think that in the long term, rtehtmlarea should avoid using ExtJS "useragent string based" browser sniffing.

#10 - 2015-03-11 21:02 - Lorenz Ulrich

| agree with Guillaume. When using the RTE in the Frontend, one cannot just set IE=10 for a website. Guillaume's solution is very straight-forward
until ExtJS is updated. document.baseURI doesn't exist in IE, therefore this solves the problem in the meantime.
